> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Jobs

> Fetch all TDS Reports Jobs through this API.



## OpenAPI

````yaml api-reference/tds/reports/openapi.json POST /tds/reports/txt/search
openapi: 3.0.1
info:
  title: reports
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
tags:
  - name: TDS
paths:
  /tds/reports/txt/search:
    post:
      tags:
        - TDS
      summary: Fetch Jobs
      parameters:
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: ''
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tds.reports.jobs.search
                tan:
                  description: >-
                    TAN of deductor. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  type: string
                  example: AHMA09719B
                quarter:
                  description: Quarter for which TDS is being filed
                  type: string
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                form:
                  type: string
                  description: 'TDS return form code. Allowed values: 138, 140, 144.'
                  enum:
                    - '138'
                    - '140'
                    - '144'
                tax_year:
                  description: Tax Year for which TDS is being filed. (eg. TY 2026-27)
                  type: string
                  pattern: ^TY [0-9]{4}-[0-9]{2}$
                  example: TY 2026-27
                from_date:
                  description: >-
                    Date from which jobs are to be fetched. Value in EPOCH
                    timestamp
                  type: integer
                to_date:
                  description: >-
                    Date till which jobs are to be fetched. Value in EPOCH
                    timestamp
                  type: integer
                page_size:
                  description: >-
                    Number of records in the API response. Maximum allowed size
                    is 50
                  type: integer
                last_evaluated_key:
                  description: >-
                    Base64 encoding of the stringified JSON object, which
                    includes x-api-key, created_at, and job_id
                  type: string
              required:
                - '@entity'
            examples:
              200 - Success:
                value:
                  '@entity': in.co.sandbox.tds.reports.jobs.search
                  tan: AHMS12345C
                  quarter: Q2
                  form: '140'
                  tax_year: TY 2026-27
                  from_date: 1714529045000
                  to_date: 1716170645000
                  page_size: 10
                  last_evaluated_key: eydadadadada...==
                summary: 200 - Success
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            '@entity':
                              type: string
                            job_id:
                              type: string
                            tan:
                              type: string
                            tax_year:
                              type: string
                              description: >-
                                Tax Year for which TDS is being filed. (eg. TY
                                2026-27)
                              pattern: ^TY [0-9]{4}-[0-9]{2}$
                            quarter:
                              type: string
                            form:
                              type: string
                              description: >-
                                TDS return form code. Allowed values: 138, 140,
                                144.
                              enum:
                                - '138'
                                - '140'
                                - '144'
                            previous_receipt_number:
                              type: string
                              format: utc-millisec
                            created_at:
                              type: integer
                            updated_at:
                              type: integer
                            status:
                              type: string
                      last_evaluated_key:
                        type: string
              examples:
                200 - Success:
                  summary: 200 - Success
                  value:
                    code: 200
                    timestamp: 1715757773000
                    transaction_id: 109469b2-0748-4135-a569-e86fc9e45756
                    data:
                      '@entity': in.co.sandbox.tds.reports.paginated_list
                      items:
                        - '@entity': in.co.sandbox.tds.reports.job
                          job_id: 096c4812-1829-4ee1-a3c6-3bd291654b72
                          tan: AHMS12345C
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '140'
                          previous_receipt_number: '1234567890123'
                          created_at: 1714529043000
                          updated_at: 1714529044000
                          status: succeeded
                        - '@entity': in.co.sandbox.tds.reports.job
                          job_id: 096c4812-1829-4ee1-a3c6-3bd291654b72
                          tan: sample-value
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '140'
                          previous_receipt_number: '1234567890123'
                          created_at: 1714527043000
                          updated_at: 1714527044000
                          status: failed
                          message: Invalid Workbook
                        - '@entity': in.co.sandbox.tds.reports.job
                          job_id: 096c4812-1829-4ee1-a3c6-3bd291654b72
                          tan: sample-value
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '140'
                          previous_receipt_number: '1234567890123'
                          created_at: 1714530043000
                          updated_at: 1714530044000
                          status: failed
                          message: Validation error
                      last_evaluated_key: eydadadadada...==
          headers: {}
      deprecated: false
      security: []

````